#include <stdio.h>
#define max 10000
long a[max];
void spor()
{

}
int main()
{
    long x,k,n,i;
    scanf("%ld %ld %ld",&n,&k,&x);
    if(k==3)
    {
        for(i=0;i<n;i++)
        a[i]=1;
        a[0]=x;
        a[1]=0;
        a[2]=0;

    }
    for(i=0;i<n;i++)
    {
        printf("%ld ",a[i]);
    }

}